﻿2026-06-02T10:47:32.4390692Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-02T10:47:32.4391362Z with:
2026-06-02T10:47:32.4391715Z   components: clippy
2026-06-02T10:47:32.4392081Z   toolchain: stable
2026-06-02T10:47:32.4392413Z ##[endgroup]
2026-06-02T10:47:32.4736028Z ##[group]Run : parse toolchain version
2026-06-02T10:47:32.4736704Z [36;1m: parse toolchain version[0m
2026-06-02T10:47:32.4737176Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-02T10:47:32.4737998Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-02T10:47:32.4738901Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-02T10:47:32.4739383Z [36;1m  exit 1[0m
2026-06-02T10:47:32.4739940Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-02T10:47:32.4741712Z [36;1m  if [[ Windows == macOS ]]; then[0m
2026-06-02T10:47:32.4742930Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.4743815Z [36;1m  else[0m
2026-06-02T10:47:32.4744473Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.4745191Z [36;1m  fi[0m
2026-06-02T10:47:32.4745682Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-02T10:47:32.4747342Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.4748095Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-02T10:47:32.4748936Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.4749750Z [36;1melse[0m
2026-06-02T10:47:32.4750181Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.4750684Z [36;1mfi[0m
2026-06-02T10:47:32.4774779Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.4775475Z env:
2026-06-02T10:47:32.4775805Z   toolchain: stable
2026-06-02T10:47:32.4776154Z ##[endgroup]
2026-06-02T10:47:32.6318889Z ##[group]Run : construct rustup command line
2026-06-02T10:47:32.6319582Z [36;1m: construct rustup command line[0m
2026-06-02T10:47:32.6320325Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.6321365Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.6322161Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.6342088Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.6342809Z env:
2026-06-02T10:47:32.6343137Z   targets: 
2026-06-02T10:47:32.6343487Z   components: clippy
2026-06-02T10:47:32.6343868Z ##[endgroup]
2026-06-02T10:47:32.7518438Z ##[group]Run : set $CARGO_HOME
2026-06-02T10:47:32.7519012Z [36;1m: set $CARGO_HOME[0m
2026-06-02T10:47:32.7519591Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$USERPROFILE\.cargo"} >> $GITHUB_ENV[0m
2026-06-02T10:47:32.7537356Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.7538438Z ##[endgroup]
2026-06-02T10:47:32.8316194Z ##[group]Run : install rustup if needed on windows
2026-06-02T10:47:32.8316904Z [36;1m: install rustup if needed on windows[0m
2026-06-02T10:47:32.8317732Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-02T10:47:32.8318993Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://win.rustup.rs/x86_64 --output 'D:\a\_temp\rustup-init.exe'[0m
2026-06-02T10:47:32.8320377Z [36;1m  'D:\a\_temp\rustup-init.exe' --default-toolchain none --no-modify-path -y[0m
2026-06-02T10:47:32.8321096Z [36;1m  echo "$CARGO_HOME\bin" >> $GITHUB_PATH[0m
2026-06-02T10:47:32.8324386Z [36;1mfi[0m
2026-06-02T10:47:32.8342935Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.8343624Z env:
2026-06-02T10:47:32.8343995Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:47:32.8344439Z ##[endgroup]
2026-06-02T10:47:32.9132995Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-02T10:47:32.9134163Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-02T10:47:32.9151487Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.9152170Z env:
2026-06-02T10:47:32.9152534Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:47:32.9153004Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-02T10:47:32.9153387Z ##[endgroup]
2026-06-02T10:47:36.1307578Z info: syncing channel updates for stable-x86_64-pc-windows-msvc
2026-06-02T10:47:36.8456504Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:47:36.8867597Z info: removing previous version of component clippy
2026-06-02T10:47:36.9050294Z info: removing previous version of component rustfmt
2026-06-02T10:47:36.9216495Z info: removing previous version of component rust-std for target x86_64-pc-windows-gnu
2026-06-02T10:47:37.0509020Z info: removing previous version of component rust-std for target i686-pc-windows-msvc
2026-06-02T10:47:37.1472557Z info: removing previous version of component cargo
2026-06-02T10:47:37.2135543Z info: removing previous version of component rust-std
2026-06-02T10:47:37.2861479Z info: removing previous version of component rustc
2026-06-02T10:47:37.3672478Z info: downloading 7 components
2026-06-02T10:48:00.5029850Z 
2026-06-02T10:48:01.0523549Z   stable-x86_64-pc-windows-msvc updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-02T10:48:01.0534332Z 
2026-06-02T10:48:01.1271256Z ##[group]Run rustup default stable
2026-06-02T10:48:01.1271798Z [36;1mrustup default stable[0m
2026-06-02T10:48:01.1290522Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:01.1291222Z env:
2026-06-02T10:48:01.1291539Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:01.1291977Z ##[endgroup]
2026-06-02T10:48:01.2585714Z info: using existing install for stable-x86_64-pc-windows-msvc
2026-06-02T10:48:01.3391986Z info: default toolchain set to stable-x86_64-pc-windows-msvc
2026-06-02T10:48:01.3392543Z 
2026-06-02T10:48:01.3984457Z   stable-x86_64-pc-windows-msvc unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:48:01.4015369Z 
2026-06-02T10:48:01.4546424Z ##[group]Run : create cachekey
2026-06-02T10:48:01.4547041Z [36;1m: create cachekey[0m
2026-06-02T10:48:01.4547924Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-02T10:48:01.4549073Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-02T10:48:01.4549967Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:48:01.4568414Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:01.4569152Z env:
2026-06-02T10:48:01.4569553Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:01.4570144Z ##[endgroup]
2026-06-02T10:48:02.6480937Z ##[group]Run : disable incremental compilation
2026-06-02T10:48:02.6481654Z [36;1m: disable incremental compilation[0m
2026-06-02T10:48:02.6482276Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-02T10:48:02.6482880Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-02T10:48:02.6483422Z [36;1mfi[0m
2026-06-02T10:48:02.6501799Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:02.6502557Z env:
2026-06-02T10:48:02.6503038Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:02.6503566Z ##[endgroup]
2026-06-02T10:48:02.7555259Z ##[group]Run : enable colors in Cargo output
2026-06-02T10:48:02.7555806Z [36;1m: enable colors in Cargo output[0m
2026-06-02T10:48:02.7556268Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-02T10:48:02.7556778Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-02T10:48:02.7557198Z [36;1mfi[0m
2026-06-02T10:48:02.7576351Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:02.7576947Z env:
2026-06-02T10:48:02.7577238Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:02.7577619Z   CARGO_INCREMENTAL: 0
2026-06-02T10:48:02.7577914Z ##[endgroup]
2026-06-02T10:48:02.8354459Z ##[group]Run : enable Cargo sparse registry
2026-06-02T10:48:02.8355251Z [36;1m: enable Cargo sparse registry[0m
2026-06-02T10:48:02.8356122Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-02T10:48:02.8357126Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-02T10:48:02.8358150Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-02T10:48:02.8358902Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:48:02.8359643Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-02T10:48:02.8360440Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-02T10:48:02.8361227Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:48:02.8361918Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-02T10:48:02.8362402Z [36;1m  fi[0m
2026-06-02T10:48:02.8362667Z [36;1mfi[0m
2026-06-02T10:48:02.8380146Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:02.8380752Z env:
2026-06-02T10:48:02.8381079Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:02.8381475Z   CARGO_INCREMENTAL: 0
2026-06-02T10:48:02.8381793Z   CARGO_TERM_COLOR: always
2026-06-02T10:48:02.8382114Z ##[endgroup]
2026-06-02T10:48:03.3362843Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-02T10:48:03.3363506Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-02T10:48:03.3364348Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-02T10:48:03.3365281Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-02T10:48:03.3365960Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-02T10:48:03.3366400Z [36;1mfi[0m
2026-06-02T10:48:03.3383692Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:03.3384320Z env:
2026-06-02T10:48:03.3384614Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:03.3385012Z   CARGO_INCREMENTAL: 0
2026-06-02T10:48:03.3385334Z   CARGO_TERM_COLOR: always
2026-06-02T10:48:03.3385654Z ##[endgroup]
2026-06-02T10:48:03.6072130Z ##[group]Run rustc +stable --version --verbose
2026-06-02T10:48:03.6072642Z [36;1mrustc +stable --version --verbose[0m
2026-06-02T10:48:03.6089879Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:48:03.6090485Z env:
2026-06-02T10:48:03.6090776Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:48:03.6091185Z   CARGO_INCREMENTAL: 0
2026-06-02T10:48:03.6091496Z   CARGO_TERM_COLOR: always
2026-06-02T10:48:03.6091813Z ##[endgroup]
2026-06-02T10:48:03.7384664Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:48:03.7394065Z binary: rustc
2026-06-02T10:48:03.7418818Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-02T10:48:03.7468064Z commit-date: 2026-05-25
2026-06-02T10:48:03.7483354Z host: x86_64-pc-windows-msvc
2026-06-02T10:48:03.7507872Z release: 1.96.0
2026-06-02T10:48:03.7524510Z LLVM version: 22.1.2
